{% extends 'base/summarized.html' %}

{% block base_title %}
    Explore tree {{ tree.id }}
{% endblock %}

{% block content %}
    <div class="jumbotron">
        <div>
            <h1>Tree {{ tree.id }} detail</h1>
            <!-- <div class="lead">TODO : explain</div>-->
            <hr>
        </div>
        <div>
            <div class="d-flex flex-column">

                <div class="p-1">
                    Start time : {{ tree.time_start }}
                </div>
                {% if not tree.generating %}
                    <div class="p-1 ml-3">End time : {{ tree.time_end }}</div>
                {% endif %}
                <div class="p-1">
                    Epsilon : {{ tree.epsilon }}
                </div>
                <div class="p-1">
                    Tree height : {{ tree.prof_max }}
                </div>
                <div class="p-1">
                    Number of bins : {{ tree.bins }}
                </div>
            </div>
            <hr>

            <div class="row">
                <div class="col-4">
                    <div class="list-group pre-scrollable" role="tablist" data-spy="scroll" data-offset="0">
                        {% include 'trees/tree_summary.html' with tree=tree.root depth=0 %}
                    </div>
                </div>
                <div class="col-8">
                    <div class="tab-content">
                        {% include 'trees/tree_view_nodes.html' with tree=tree.root depth=0 %}
                    </div>
                </div>
            </div>
        </div>

        <script>
            function goToTab(e, id) {
                e.preventDefault();
                var elem = $(id);
                elem.tab('show');
                console.log(elem);
                elem[0].scrollIntoView();
            }
        </script>
    </div>
{% endblock %}
